Skip to content
Start here

Lists attackers across multiple datasets

client.cloudforceOne.threatEvents.attackers.list(AttackerListParams { account_id, datasetIds } params, RequestOptionsoptions?): AttackerListResponse { items, type }
GET/accounts/{account_id}/cloudforce-one/events/attackers

Lists attackers across multiple datasets

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Cloudforce One WriteCloudforce One Read
ParametersExpand Collapse
params: AttackerListParams { account_id, datasetIds }
account_id: string

Path param: Account ID.

datasetIds?: Array<string>

Query param: Array of dataset IDs to query attackers from. If not provided, uses the default dataset.

ReturnsExpand Collapse
AttackerListResponse { items, type }
items: Items { type }
type: string
type: string

Lists attackers across multiple datasets

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const attackers = await client.cloudforceOne.threatEvents.attackers.list({
  account_id: 'account_id',
});

console.log(attackers.items);
{
  "items": {
    "type": "string"
  },
  "type": "array"
}
Returns Examples
{
  "items": {
    "type": "string"
  },
  "type": "array"
}